PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PInterfaceMonitor::InterfaceChange Struct Reference

Information on the interface change. More...

`#include <psockbun.h>`

Inheritance diagram for PInterfaceMonitor::InterfaceChange:
[legend]
Collaboration diagram for PInterfaceMonitor::InterfaceChange:
[legend]

## Public Member Functions
| InterfaceChange (const InterfaceEntry &entry, bool added)
Public Member Functions inherited from PIPSocket::InterfaceEntry
| InterfaceEntry ()
| Create an interface entry from a name, IP addr and MAC addr. More...
| InterfaceEntry (const PString &name, const Address &addr, const Address &mask, const PString &macAddr)
virtual void | PrintOn (ostream &strm) const
| Print to specified stream. More...
const PString & | GetName () const
| Get the name of the interface. More...
Address | GetAddress () const
| Get the address associated with the interface. More...
Address | GetNetMask () const
| Get the net mask associated with the interface. More...
const PString & | GetMACAddress () const
| Get the MAC address associate with the interface. More...
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Public Attributes
const bool | m_added

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PIPSocket::InterfaceEntry
static void | SanitiseName (PString &name)
| Sanitise a device name for use in PTLib. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Protected Attributes inherited from PIPSocket::InterfaceEntry
PString | m_name
Address | m_ipAddress
Address | m_netMask
PString | m_macAddress
Friends inherited from PObject

## Detailed Description

Information on the interface change.

## Constructor & Destructor Documentation

PInterfaceMonitor::InterfaceChange::InterfaceChange | ( | const InterfaceEntry & | entry,
|  | bool | added
| ) |  |
| inline

## Member Data Documentation

const bool PInterfaceMonitor::InterfaceChange::m_added

The documentation for this struct was generated from the following file:

- psockbun.h